Package org.eclipse.emf.compare.rcp.ui.internal.configuration.impl

# Class EMFComparatorChange

java.lang.Object
org.eclipse.emf.compare.rcp.ui.internal.configuration.impl.CompareEvent<EMFCompare>
org.eclipse.emf.compare.rcp.ui.internal.configuration.impl.EMFComparatorChange

All Implemented Interfaces:
  `ICompareEvent`, `IEMFComparatorChange`

public class EMFComparatorChange extends CompareEvent<EMFCompare> implements IEMFComparatorChange

## Constructor Summary

Constructors
Constructor
Description
`EMFComparatorChange(EMFCompare oldValue, EMFCompare newValue)`

## Method Summary

### Methods inherited from class org.eclipse.emf.compare.rcp.ui.internal.configuration.impl.CompareEvent

`getNewValue, getOldValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.compare.rcp.ui.internal.configuration.IEMFComparatorChange

`getNewValue, getOldValue`

## Constructor Details

### EMFComparatorChange

public EMFComparatorChange(EMFCompare oldValue, EMFCompare newValue)